#!/bin/sh

UNAME_S=`uname -s`
UNAME_R=`uname -r`

echo figure out the glibc version

GLIBC_OUT_FILENAME=locale_codesets.calc_glibc.$UNAME_S.$UNAME_R.out
echo "=============== System info ===============" > $GLIBC_OUT_FILENAME
echo `uname -a`  >> $GLIBC_OUT_FILENAME
echo "=============== Calc glibc version ===============" >> $GLIBC_OUT_FILENAME
make glibc_version >> $GLIBC_OUT_FILENAME 2>&1 
if [ $? = 0 ]; then
  GLIBC_VERSION=`./glibc_version`
else
  GLIBC_VERSION=unknown
fi
echo "=============== glibc version ===============" >> $GLIBC_OUT_FILENAME
echo glibc_version=$GLIBC_VERSION >> $GLIBC_OUT_FILENAME
OUT_FILENAME=locale_codesets.glibc_$GLIBC_VERSION.$UNAME_S.$UNAME_R.out
mv $GLIBC_OUT_FILENAME $OUT_FILENAME


echo make the nl_langinfo_codeset executable
echo "=============== Compile nl_langinfo(CODESET) prog ===============" >> $OUT_FILENAME
make nl_langinfo_codeset >> $OUT_FILENAME 2>&1
if [ $? != 0 ]; then
  echo failed to make nl_langinfo_codeset
  echo quitting ...
  make clean
  exit
fi

echo generate the locale codeset info
echo "=============== Get nl_langinfo(CODESET) info ===============" >> $OUT_FILENAME
perl show_locale_codesets.pl >> $OUT_FILENAME 2>&1
if [ $? = 0 ]; then
  echo result is in $OUT_FILENAME
else
  echo failed to generate the locale codeset info
  echo quitting ...
  make clean
  exit
fi

make clean

